--BEGIN CONFIG
--Global Constants
local LOG_LEVEL = 4
local RESOURCE_CODE = GetResourceMetadata(GetCurrentResourceName(), "resource_code", 0)
--Global Constants
--LOCAL VARIABLES
local config = {}


--END CONFIG
-----------------------------------------------------------------------------------------------



-------------------
--YOUR CODE HERE---
--HAPPY CODING!----
-------------------



------------------------------------------------------------------------------------------------
--Config Syncing Function DO NOT TOUCH unless you know what you are doing.
RegisterNetEvent(RESOURCE_CODE..":ConfigUpdate_cl")
AddEventHandler(RESOURCE_CODE..":ConfigUpdate_cl", function(cfg)
  local config = cfg
  for i, qResult in pairs(config) do
    Log("QRESULT.CONFIGNAME "..qResult.ConfigName, 4)
    if qResult.ConfigName == "LOG_LEVEL" then
      LOG_LEVEL = qResult.ConfigValue
    elseif qResult.ConfigName == "CHANGEME" then
      CHANGE_ME = qResult.ConfigValue
    end
  end
end)
--SLF Server Logging Function DO NOT TOUCH unless you know what you are doing.
function Log(message, logLevel)
  if tonumber(LOG_LEVEL) >= logLevel then
      exports.SLF:LogToClient(RESOURCE_CODE, logLevel, message)
  end
end

function GetSID(UUID)
  Log("Requesting SID for UUID: "..UUID, 4)
  local SID = exports.SPH:GetSID(UUID)
  Log("Retreived SID: "..SID.." for UUID: "..UUID, 4)
  return SID
end
